<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@page import="per.logic.ProgramController"%>
<%@page import="per.model.*"%>
<%@ page 
 contentType="text/html; charset=ISO-8859-1"
%> 
<jsp:include page="header.jsp"/>
<%
ProgramController pg = (ProgramController) session.getAttribute("currentController");


if(request.getParameter("fid")!=null){
	User fr = pg.getFriend(request.getParameter("fid"));
	pageContext.setAttribute("fr",fr);
	

}


%>

<c:set var="friend" value="${fr}"/>
<c:set var="user" value="${sessionScope.currentController.loggedInUser}"/>


 <script src="http://maps.google.com/maps?file=api&amp;v=2&amp;key=ABQIAAAAdJtKeNrH-xNwLdaGC1qzzRSWR6hPWZS5Ktx1cgqOkdlcE8mvXRT2hT1DMKIJoGKOxI6VR5yBzObBAA"
      type="text/javascript"></script>
    <script type="text/javascript">

   function load() {
      if (GBrowserIsCompatible()) {
        var map = new GMap2(document.getElementById("map_friend"));
        map.addControl(new GSmallMapControl());
        map.setCenter(new GLatLng(63.430361, 10.396843), 14);
        var baseIcon = new GIcon();
        baseIcon.shadow = "http://www.google.com/mapfiles/shadow50.png";
    	baseIcon.iconSize = new GSize(20, 34);
   		baseIcon.shadowSize = new GSize(37, 34);
    	baseIcon.iconAnchor = new GPoint(9, 34);
    	baseIcon.infoWindowAnchor = new GPoint(9, 2);
    	baseIcon.infoShadowAnchor = new GPoint(18, 25);
        var point = new GLatLng(${user.position.latitude}, ${user.position.longitude});
       	map.addOverlay(new GMarker(point));
       	var friendpoint = new GLatLng(${friend.position.latitude}, ${friend.position.longitude});
       	var numIcon = new GIcon(baseIcon);
		numIcon.image = "pics/icons/icong.png";
		markerOptions = { icon:numIcon };
		var marker = new GMarker(friendpoint, markerOptions);
		map.addOverlay(marker);
       
      }
    }

    </script>




	
<c:choose>

	<c:when test="${friend==null}">
	<p>
		<c:set var="friends" value="${user.friends}"/>
		<table cellspacing="2" cellpadding="2">	
		<c:forEach var="friend" items="${friends}">
			
			<c:if test="${friend.friendsStatus != 'NOT_ACCEPTED'}">
				<tr id="friend">
					<td>
						<img src="${friend.friend.picUrl}" height="100">
					</td>
					<td>
						<c:url var="link" value="friend.jsp">
							<c:param name="fid" value="${friend.friend.userId}"/>
						</c:url>
						<a href="${link}">${friend.friend.nickname}</a>
					</td>
					<td>
						${friend.friend.forename} ${friend.friend.surname}
					</td>
					<td>
						Kartinnstilling: ${friend.ownStatus.tekst} <a href="users.jsp?changeFriend=${friend.friend.userId}">Endre</a>
					</td>
					<td>
					
						<c:url var="mess" value="messages.jsp">
							<c:param name="action" value="comp"/>
							<c:param name="rcvr" value="${friend.friend.userId}"/>
					
						</c:url>
						<a href="${mess}">Send melding</a><br>
				</td>
				</tr>
				<tr>
				</tr>
			</c:if>
		</c:forEach>
		</table>
		</p>
	</c:when>

	<c:otherwise>
		<c:set var="isFriend" value="false"/>
		
		<c:forEach var="f" items="${user.friends}">
				<c:if test="${f.friend.userId == friend.userId}">
					<c:set var="isFriend" value="true"/>
					<c:set var="friendship" value="${f}"/>
					<c:if test="${f.friendsStatus == 'NOT_ACCEPTED'}">
							
							<c:set var="isFriend" value="false"/>
					</c:if>		
					
					
				</c:if>
										
				
			</c:forEach>
			<c:if test="${isFriend == 'false'}">
				<jsp:forward page="friend.jsp"/>
			</c:if>
			

		<p>
		<table cellspacing="4">
			<tr>
				
				<td><img src="${friend.picUrl}" height="200"></td>
				<td valign="top"><b>${friend.nickname}</b> <font color="#999999"><i>${friend.personalMessage}</i></font><br><hr>
				<br>
				<div id="fact">	
						<table>
							<tr>
								<td>Navn: </td><td>${friend.forename} ${friend.surname}</td>
							</tr>
							<tr>
								<c:if test="${friend.dateOfBirth != 'null'}">
								<td>Fdselsdato:</td><td>${friend.dateOfBirth}</td>
								</c:if>
							</tr>
							<tr>
								<c:if test="${friend.relationshipStatus != 'null'}">
								<td>Personlig status:</td><td>${friend.relationshipStatus}</td>
								</c:if>
							</tr>
							<tr>
								<c:if test="${friend.gender != 'null'}">
								<td>Kjnn:</td><td>${friend.gender}</td>
								</c:if>
							</tr>
						</table>
					</div>
				</td>
				<td valign="top"><b>Venneinstillinger</b><br>
								Venn siden: ${friendship.date}<br>
								Kartinnstilling: ${friendship.ownStatus.tekst} <a href="users.jsp?changeFriend=${friendship.friend.userId}">Endre</a>
								<br><br>
								<c:url var="mess" value="messages.jsp">
							<c:param name="action" value="comp"/>
							<c:param name="rcvr" value="${friend.userId}"/>
					
						</c:url>
						<a href="${mess}">Send melding til ${friend.nickname}</a><br>
								
			</tr>
			<tr>
				<td></td>
			</tr>
			
			<tr>
				<td>
					
				</td>
			</tr>
		</table>
		</p>
		<c:if test="${friendship.friendsStatus != 'NOT_ACCEPTED' && friendship.friendsStatus == 'MAP' && friendship.ownStatus == 'MAP' && (user.position.longitude != 0.0) && (user.position.latitude != 0.0) && (friend.position.longitude != 0.0) && (friend.position.latitude != 0.0)}">
			<center>
			<div id="map_friend" style="width: 500px; height: 400px"></div>
			<table>
			<tr><td><img src="pics/icons/marker-noalpha.png"></td><td valign="center">Din posisjon</td>
			<td><img src="pics/icons/icong.png"></td><td valign="center">${friend.nickname}s posisjon</td></tr>
			</table>
			</center>
		</c:if>
		
	</c:otherwise>
</c:choose>

<jsp:include page="footer.jsp"/>
					
