<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@page import="per.logic.ProgramController"%>
<%@page import="per.model.*"%>
<%@ page 
 contentType="text/html; charset=ISO-8859-1"
%> 



<jsp:include page="header_login.jsp"/>
<c:set var="action" value="${param.action}"/>


<c:choose>
	<c:when test="${sessionScope.currentUser==null}">
		<c:choose>
			<c:when test="${action == 'register'}">
			
			<c:if test="${param.message == 'pass'}">
				<p>De to passordfeltene matcher ikke! Prv igjen. </p>
			</c:if>
			<c:if test="${param.message == 'nick'}">
				<p>Kallenavnet finnes fra fr, prv et annet!</p>
			</c:if>
			
			
			<form action="login.jsp" method="post">
				<table>
				<tr><td>Kallenavn: </td><td><input type="text" name="nickname"></td><tr>
				<tr><td>Fornavn: </td><td><input type="text" name="forename"></td><tr>
				<tr><td>Etternavn: </td><td><input type="text" name="surname"></td><tr>
				<tr><td>Passord: </td><td><input type="password" name="pass1"></td><tr>
				<tr><td>Bekreft passord: </td><td><input type="password" name="pass2"></td><tr>
				<tr><td>Fdselsdato: </td><td><input type="text" name="birth"> (VIKTIG: Skriv p formen -MM-DD)</td><tr>
				<tr><td>Kjnn: </td><td>Kvinne<input type="radio" name="gender" value="female"> Mann<input type="radio" name="gender" value="male"></td><tr>
				<tr><td>E-post: </td><td><input type="text" name="email"></td><tr>
				<tr><td>Personlig status: </td><td><input type="text" name="relationshipStatus"></td><tr>
				<tr><td>iPodens MAC-adresse: </td><td><input type="text" name="macAddress"> (bruk ':' som skilletegn. eks: 00:00:00:00:00:00</td><tr>
				<tr>
						<td align="right" colspan="2">
							<input type="submit" value="Registrer">
						</td>
				</tr>
				</table>
				<input type="hidden" name="action" value="save_user">
				</form>
			</c:when>
			<c:when test="${action == 'save_user'}">
				<c:if test="${(param.pass1 != param.pass2)}">
					<jsp:forward page="login.jsp">
						<jsp:param name="action" value="register"/>
						<jsp:param name="message" value="pass"/>
					</jsp:forward>
				</c:if>
				<% 
				ProgramController registerController = new ProgramController();
				pageContext.setAttribute("nickTaken", registerController.isNicknameTaken(request.getParameter("nickname")));
				%>
				<c:if test="${nickTaken}">
					<jsp:forward page="login.jsp">
						<jsp:param name="action" value="register"/>
						<jsp:param name="message" value="nick"/>
					</jsp:forward>
				</c:if>
				<jsp:useBean id="newUser" class="per.model.User" scope="page"/>
				<jsp:setProperty name="newUser" property="*"/>
				<jsp:setProperty name="newUser" property="password" value="${param.pass1}"/>
				<%
				
				
				registerController.insertUser((User) pageContext.getAttribute("newUser"));
				%>
				<p>Gratulerer ${newUser.nickname}. Du er n registrert og kan logge deg inn <a href="login.jsp">her</a>.</p>
			</c:when>
			<c:when test="${action == 'log_in'}">
			<% 
			ProgramController controller = new ProgramController(request.getParameter("nick"), request.getParameter("pass"));
			session.setAttribute("currentController", controller);
			User user = controller.getLoggedInUser();
		
			if(user==null){
				%>
				<jsp:forward page="login.jsp">
					<jsp:param name="action" value="error"/>
				</jsp:forward>
				<% 
			}
			else{
				session.setAttribute("currentUser", user);
				%>
				<jsp:forward page="login.jsp"/>
				<%
			}%>
			</c:when>
			<c:when test="${action == 'forgotten'}">
				<c:if test="${param.send == 'send' }">
					<%
					ProgramController passController = new ProgramController();
					String message = passController.sendNewPassword((String) request.getParameter("epost"));
					pageContext.setAttribute("message", message);
					%>
					<p>${message}
					<br><br><a href="login.jsp">Logg inn her</a>
					</p>
				</c:if>
				<form action="login.jsp" method="post">
					<p>
					Skriv inn registrert epost adresse: <input type="text" name="epost"> <input type="submit" value="Send">
					
					
					</p>
					<input type="hidden" name="action" value="forgotten">
					<input type="hidden" name="send" value="send">
				</form>
			</c:when>
			<c:otherwise>
				<c:if test="${action == 'error' }">
					<p>Passord eller nickname er feil. Prv igjen!</p>
				</c:if>
				<center><h2>Logg inn bruker</h2>
				<form action="login.jsp" method="post">
					<table border="0">
						<tr>
							<td align="left">
								<b>Nickname:</b>
							</td>
							<td>
								<input type="text" name="nick" maxlength="20" style="width: 75px;">
							</td>
						</tr>
						<tr>
							<td align="left">
								<b>Passord:</b>
							</td>
							<td>
								<input type="password" name="pass" maxlength="20" style="width: 75px;">
							</td>
						</tr>
						<tr>
							<td align="right" colspan="2">
								<input type="submit" value="Logg inn">
							</td>
						</tr>
						<tr>
							<td align="left" colspan="2">
								<a href="login.jsp?action=forgotten">Glemt passord?</a>
								
							</td>
						</tr>
					</table>
					<input type="hidden" name="action" value="log_in">
				</form>
			</center>
			</c:otherwise>
		</c:choose>
	</c:when>
	<c:when test="${action == 'log_out'}">
		<%
		session.invalidate();
		%>
		<jsp:forward page="login.jsp"/>	
	</c:when>
	<c:otherwise>
		<jsp:forward page="index.jsp"/>
	</c:otherwise>
</c:choose>

<jsp:include page="footer.jsp"/>