<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@page import="per.logic.ProgramController"%>
<%@page import="per.model.*"%>
<%@ page 
 contentType="text/html; charset=ISO-8859-1"
%> 
<%

ProgramController controller = (ProgramController) session.getAttribute("currentController");
%>

<jsp:include page="header.jsp"/>

<c:set var="user" value="${sessionScope.currentController.loggedInUser}"/>
<c:set var="inbox" value="${user.recievedMessages}"/>
<c:set var="sent" value="${user.sentMessages}"/>


<table width="100%">
<tr><td><a href="messages.jsp">Mottatte meldinger</a></td><td><a href="messages.jsp?action=snt">Sendte meldinger</a></td><td><a href="messages.jsp?action=comp">Ny melding</a> </td></tr>
<tr><td colspan="3" class="mailcenter">	

<c:choose>
	<c:when test="${param.action=='send_message'}">
		<jsp:useBean id="newMessage" class="per.model.Message" scope="page"/>
		<jsp:setProperty name="newMessage" property="*"/>
		<c:if test="${param.type=='nothing'}">
			<jsp:forward page="messages.jsp">
				<jsp:param name="action" value="comp"/>
				<jsp:param name="error" value="tp"/>
				<jsp:param name="rcvr" value="${newMessage.recieverString}"/>
				<jsp:param name="hdr" value="${newMessage.header}"/>
				<jsp:param name="bd" value="${newMessage.body}"/>
			</jsp:forward>
		</c:if>
		
		<%
		controller.sendMessage((Message) pageContext.getAttribute("newMessage"));
		%>
		<jsp:forward page="messages.jsp">
			<jsp:param name="action" value="snt"/>
		</jsp:forward>
	</c:when>
	<c:when test="${param.action=='comp'}">
	<form action="messages.jsp" method="post">
				<c:set var="rc" value="${param.rcvr}"/>
				<c:if test="${param.error == 'tp'}">
					<p> Du m velge en meldingstype!</p>
				</c:if>
				
				<table>
				<tr><td>Til: </td><td><select name="recieverString">
										<c:forEach var="us" items="${sessionScope.currentController.allUsers}">
											<c:set var="selected" value=""/>
											<c:if test="${rc==us.userId}">
												<c:set var="selected" value="selected"/>
											</c:if>
											<option value="${us.userId}" ${selected}> ${us.nickname}
											
										</c:forEach>
				
				</td><tr>
				<tr><td>Emne: </td><td><input type="text" name="header" value="${param.header}"></td><tr>
				<tr><td>Type: </td><td> <select name="type"> 
									<option value="nothing"> ---- 
									<c:choose>
									<c:when test="${param.answ != null}">
									<c:choose>
										<c:when test="${param.answ == 'inform' }">
											<option value="confirm"> Bekreftelse
											<option value="not_understood"> Melding ikke forsttt 
										</c:when>
										<c:when test="${param.answ == 'request' }">
											<option value="pos_answer"> Positivt svar p foresprsel
											<option value="neg_answer"> Negativt svar p foresprsel
											<option value="neu_answer"> Nytralt svar p foresprsel
											<option value="not_understood"> Melding ikke forsttt 
										</c:when>
										<c:when test="${param.answ == 'proposal' }">
											<option value="accept_proposal"> Aksepter forslag
											<option value="reject_proposal"> Avvis forslag
											<option value="not_understood"> Melding ikke forsttt 
										</c:when>
										<c:otherwise>
											<option value="inform"> Informasjon  
										 	<option value="request"> Foresprsel 
										 	<option value="proposal"> Forslag
										 	<option value="confirm"> Bekreftelse
										 	<option value="pos_answer"> Positivt svar p foresprsel
											<option value="neg_answer"> Negativt svar p foresprsel
											<option value="neu_answer"> Nytralt svar p foresprsel
											<option value="accept_proposal"> Aksepter forslag
											<option value="reject_proposal"> Avvis forslag
											<option value="not_understood"> Melding ikke forsttt 
										</c:otherwise>
										
										
										
									</c:choose>
									</c:when>
									<c:otherwise>
										 <option value="inform"> Informasjon  
										 <option value="request"> Foresprsel 
										 <option value="proposal"> Forslag
										 
									</c:otherwise>
									</c:choose>
									</select>
				</td><tr>
				<tr><td colspan="2"><textarea cols="50" rows="10" name="body">
				${param.body }
				</textarea></td><tr>
				
				<tr>
						<td align="right" colspan="2">
							<input type="submit" value="Send melding">
						</td>
				</tr>
				</table>
				<input type="hidden" name="answerTo" value="${param.mid}">
				<input type="hidden" name="action" value="send_message">
				</form>
		
	
	</c:when>
	<c:when test="${param.action=='snt'}">
	
		<center><h4>Sendte meldinger</h4></center>
		<table width="100%" cellspacing="0">
		<tr bgcolor="silver"><td><b>Dato</b></td><td><b>Mottaker</b></td><td><b>Emne</b></td><tr>
		<c:forEach var="msg" items="${sent}">
			<c:set var="class" value="mail"/>
			
			<tr><td  class="mailtd">${msg.date}</td><td class="mailtd"><a class="${class}" href="friend.jsp?fid=${msg.reciever.userId}">${msg.reciever.nickname}</a></td><td class="mailtd"><a class="${class}" href="messages.jsp?action=read&m=${msg.messageId}">${msg.header}</a></td></tr>
		</c:forEach>
		<c:if test="${nomsg}">
			<tr><td colspan="3">Du har ingen meldinger</td></tr>
		</c:if>
		</table>
	</c:when>
	<c:when test="${param.action=='read'}">
		<c:choose>
			<c:when test="${param.source=='1'}">
				<% 
				controller.setMessageRead(request.getParameter("m"));
				%>
				<c:forEach var="msg" items="${inbox}">
					<c:if test="${msg.messageId == param.m}">
						<c:set var="messageToRead" value="${msg}"/>
					</c:if>
				</c:forEach>
				<table class="readMessage">
				<tr><td></td><td class="readMessageHeader">
					<b>${messageToRead.header}</b>
				</td>
				<tr><td colspan="2" class="readMessageLine"></td></tr>
				<tr><td class="readMessageLeft">
				<table>
				<tr><td>Dato:</td><td>${messageToRead.date}</td></tr>
				<tr><td>Fra:</td><td><a class="mail" href="friend.jsp?fid=${messageToRead.sender.userId}">${messageToRead.sender.nickname}</a></td></tr>
				<tr><td></td><td><a class="mail" href="messages.jsp?action=comp&answ=${messageToRead.type}&rcvr=${messageToRead.sender.userId}&mid=${messageToRead.messageId}">Svar p melding</a></td></tr>
				</table>
				</td>
				<td class="readMessageCenter">
					${messageToRead.body}
				</td></tr>
				</table>
			</c:when>
			<c:otherwise>
				
				<c:forEach var="msg" items="${sent}">
					<c:if test="${msg.messageId == param.m}">
						<c:set var="messageToRead" value="${msg}"/>
					</c:if>
				</c:forEach>
				<table class="readMessage">
				<tr><td></td><td class="readMessageHeader">
					<b>${messageToRead.header}</b>
				</td>
				<tr><td colspan="2" class="readMessageLine"></td></tr>
				<tr><td class="readMessageLeft">
				<table>
				<tr><td>Dato:</td><td>${messageToRead.date}</td></tr>
				<tr><td>Til:</td><td><a class="mail" href="friend.jsp?fid=${messageToRead.reciever.userId}">${messageToRead.reciever.nickname}</a></td></tr>
				
				</table>
				</td>
				<td class="readMessageCenter">
					${messageToRead.body}
				</td></tr>
				</table>
			</c:otherwise>
		</c:choose>
		
	</c:when>
	<c:otherwise>
	
		
		<center><h4>Mottatte meldinger</h4></center>
		<table width="100%" cellspacing="0">
		<tr bgcolor="silver"><td><b>Dato</b></td><td><b>Avsender</b></td><td><b>Emne</b></td><tr>
		<c:set var="nomsg" value="true"/>
		<c:forEach var="msg" items="${inbox}">
			<c:set var="nomsg" value="false"/>
			<c:set var="class" value="mail"/>
			<c:if test="${!msg.read}">
				<c:set var="class" value=""/>
				<c:set var="bold" value="<b>"/>
				<c:set var="boldend" value="</b>"/>
			</c:if>	
			<tr><td  class="mailtd">${bold}${msg.date}${boldend}</td><td class="mailtd"><a class="${class}" href="friend.jsp?fid=${msg.sender.userId}">${msg.sender.nickname}</a></td><td class="mailtd"><a class="${class}" href="messages.jsp?action=read&m=${msg.messageId}&source=1">${msg.header}</a></td></tr>
		</c:forEach>
		<c:if test="${nomsg}">
			<tr><td colspan="3">Du har ingen meldinger</td></tr>
		</c:if>
		</table>
	</c:otherwise>
</c:choose>
</td>
</tr>
</table>
<jsp:include page="footer.jsp"/>
	
	