<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@page import="per.logic.ProgramController"%>
<%@page import="pos.Position"%>
<%@ page 
 contentType="text/html; charset=ISO-8859-1"
%>  
<%
ProgramController controller = (ProgramController) session.getAttribute("currentController");

%>
<jsp:include page="header.jsp"/>
<c:set var="user" value="${sessionScope.currentController.loggedInUser}"/>
    <script src="http://maps.google.com/maps?file=api&amp;v=2&amp;key=ABQIAAAAdJtKeNrH-xNwLdaGC1qzzRSWR6hPWZS5Ktx1cgqOkdlcE8mvXRT2hT1DMKIJoGKOxI6VR5yBzObBAA"
      type="text/javascript"></script>
    <script type="text/javascript">

    //<![CDATA[

    function load() {
      if (GBrowserIsCompatible()) {
        var map = new GMap2(document.getElementById("map"));
        map.addControl(new GSmallMapControl());
        map.setCenter(new GLatLng(63.430361, 10.396843), 14);
        baseIcon = new GIcon();
        baseIcon.shadow = "http://www.google.com/mapfiles/shadow50.png";
    	baseIcon.iconSize = new GSize(20, 34);
   		baseIcon.shadowSize = new GSize(37, 34);
    	baseIcon.iconAnchor = new GPoint(9, 34);
    	baseIcon.infoWindowAnchor = new GPoint(9, 2);
    	baseIcon.infoShadowAnchor = new GPoint(18, 25);
    	var point = new GLatLng(${user.position.latitude}, ${user.position.longitude});
        map.addOverlay(new GMarker(point));
        var counter = 0;
     	<c:forEach var="friend" items="${user.friends}">
     		<c:set var="pos" value="${friend.friend.position}"/>
     		<%
				String color = controller.getDistanceColor((Position) pageContext.getAttribute("pos"));
				pageContext.setAttribute("color", color);
				%>
     		<c:if test="${friend.friendsStatus != 'NOT_ACCEPTED' && friend.friendsStatus == 'MAP' && friend.ownStatus == 'MAP' && color != 'red'}">
     			counter = counter + 1;
        		var point = new GLatLng(${friend.friend.position.latitude}, ${friend.friend.position.longitude});
        		var numIcon = new GIcon(baseIcon);
  				numIcon.image = "pics/icons/icong" + counter + ".png";
  				markerOptions = { icon:numIcon };
 				var marker = new GMarker(point, markerOptions);
        		map.addOverlay(marker);
        	</c:if>
        </c:forEach>
 
      }
    }

    //]]>
    </script>
    <center>
    <c:choose>
	  	<c:when test="${(user.position.longitude != 0.0) && (user.position.latitude != 0.0) }">
	  		<div id="map" style="width: 500px; height: 400px"></div>
	  		 <br>
    	<table>
    	<tr><td><img src="pics/icons/marker-noalpha.png"></td><td valign="center">Din posisjon</td><td valign="center"><a href="map.jsp">Oppdater kart</a></tr></table>
	  	</c:when>
	  	<c:otherwise>
	  	<p>Du er ikke innenfor dekningsomrdet og kan derfor ikke se hvor vennene dine er.</p>
	  	
	  	</c:otherwise>
    </c:choose>
  
   
	  </center>
<jsp:include page="footer.jsp"/>	